nevermind, it seems its actually to actually be trying to pull it from the docker repository. it seems you need to have a plugin there under puffer panel for it to download here. https://hub.docker.com/ thats just my analisis of this error hopefully @puffrfish can give a better explaination